gnutls_cipher_set_iv(3)

NAME
gnutls_cipher_set_iv - API function

SYNOPSIS
#include <gnutls/crypto.h>

void gnutls_cipher_set_iv(gnutls_cipher_hd_t handle, void * iv, size_t ivlen);

ARGUMENTS

gnutls_cipher_hd_t handle
    is a gnutls_cipher_hd_t structure.

void * iv
    the IV to set

size_t ivlen
    The length of the IV

DESCRIPTION
This function will set the IV to be used for the next encryption block.

SINCE
3.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/